List loan products
curl --request GET \
--url https://{baasHost}/api/v1/lms/products \
--header 'Authorization: Bearer <token>'import requests
url = "https://{baasHost}/api/v1/lms/products"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{baasHost}/api/v1/lms/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 1,
"productCode": "PERSONAL_LOAN_001",
"type": "loan",
"name": "Standard Personal Loan",
"currency": "TZS",
"status": "published",
"version": 1,
"externalProductId": "12",
"config": {
"terms": {
"principal": 500000,
"minPrincipal": 100000,
"maxPrincipal": 2000000,
"numberOfRepayments": 6,
"repaymentEvery": 1,
"repaymentFrequency": "MONTHS"
},
"interest": {
"ratePerPeriod": 2.5,
"rateFrequency": "MONTHLY"
}
}
}
]Lending
List loan products
GET
/
v1
/
lms
/
products
List loan products
Authorizations
Bearer token from POST /generate-token. Expires ~1h; on 401, re-generate and retry once.
Response
200 - application/json
Published loan products